Retrieve a video generation task

get/v1/video/generations/{task_id}

Retrieve the status and result of a video generation task.

Task statuses:

  • queued: waiting in the queue
  • in_progress: generating
  • completed: finished
  • failed: failed

Authentication

Send your OLETOKEN API key as a Bearer token. Keys are created on the API Keys page of the console.

Authorization: Bearer $OLETOKEN_API_KEY

Parameters

FieldTypeRequiredDescription
task_idpathstringTask ID

Responses

200Task status retrieved

FieldTypeRequiredDescription
task_idstringTask ID
statusstringqueuedin_progresscompletedfailedTask status
urlstringVideo URL (when the task succeeded)
formatstringVideo format
metadataVideoTaskMetadata
durationnumberActual video duration
fpsintegerActual frame rate
widthintegerActual width
heightintegerActual height
seedintegerThe random seed that was used
errorVideoTaskError
codeintegerError code
messagestringError message

404Task not found

FieldTypeRequiredDescription
errorobject
messagestringError message
typestringError type
paramstring | nullThe parameter involved
codestring | nullError code

Example request

curl -X GET 'https://api.oletoken.ai/v1/video/generations/{task_id}' \
  -H "Authorization: Bearer $OLETOKEN_API_KEY"